using Sepehr.ApiGateway.Partners.Contracts.Flight.Availability.V17.ActiveRoutes.RequestModel;
using Sepehr.ApiGateway.Partners.Contracts.Flight.Availability.V17.ActiveRoutes.ResponseModel;
using SepehrFlightApiSampleClient.BuiltinTypeExtensions;

namespace SepehrFlightApiSampleClient.Availability.WebApi
{
    public class GetActiveRoutesApi
    {
        public static Response Post(string url, Request request)
        {
            var response = HttpClientHelper.Post(
                $"{url}/api/Partners/Flight/Availability/V17/GetActiveRoutes",
                request.SerializeToJson());

            return response.DeserializeFromJson<Response>();
        }
    }
}
